/**
 * 
 */
package billiardlibrary;

import javax.swing.JFrame;
import java.awt.*;
import java.awt.event.*;

/**
 * @author Andrea Rossetti (andrear1979@hotmail.com)
 */
public class Billiard2DFrame extends JFrame implements MouseListener {

	private static final long serialVersionUID = 6016268701396509246L;
	Billiard2DPanel pannello;

	Billiard2DFrame(Billiard2D b) {
		pannello = new Billiard2DPanel(b);
		this.getContentPane().setLayout(new BorderLayout(8, 8));
		this.getContentPane().add(pannello, "Center");
		pannello.addMouseListener(this);
	}

	public static void main(String[] args) {

		Billiard2D b = new Billiard2D(0, 0, 320 - 1, 240 - 1);
		Ball b1 = new Ball(80, 80, 12.5, 0, 30, "Palla1");
		b.add(b1);

		Billiard2DFrame f = new Billiard2DFrame(b);
		f.setSize(400, 300);
		f.setVisible(true);

		while(!b.isAllQuiet(0.05)) {
			b.updateBallSpeedForBorder();
			b.updateBallsSpeedForCollision();
			b.applyFriction(0.001,1,0.002,0.01);
			b.step();
			f.pannello.repaint();
			try {
				Thread.sleep(10);
			} catch (Exception e) {}
		}
		System.out.println("finish");

	}

	public void mouseClicked(MouseEvent e) {
		switch (e.getButton()){
		case MouseEvent.BUTTON1:
			Ball b=new Ball(e.getX(),e.getY(),0,0,30,"Palla"+(pannello.b.getBalls()+1));
			pannello.b.add(b);
			break;
		case MouseEvent.BUTTON3:
			for (int i=0;i<pannello.b.getBalls();i++){
				Ball ba=pannello.b.get(i);
				ba.vx=ba.vx*1.2;
				ba.vy=ba.vy*1.2;
			}
			break;
		}
	}

	public void mouseEntered(MouseEvent arg0) {}

	public void mouseExited(MouseEvent arg0) {}

	public void mousePressed(MouseEvent arg0) {}

	public void mouseReleased(MouseEvent arg0) {}

}
