/**
 * 
 */
package billiardlibrary;

import javax.swing.JPanel;
import java.awt.*;

/**
 * @author Andrea Rossetti (andrear1979@hotmail.com)
 */

public class Billiard2DPanel extends JPanel {

	private static final long serialVersionUID = -8875441261975518085L;
	private static Color billiardColor=new Color(100,200,50);
	Billiard2D b;

	Billiard2DPanel(Billiard2D b) {
		this.b = b;
	}

	public void paint(Graphics g) {
		b.xto = this.getWidth();
		b.yto = this.getHeight();

		g.setColor(billiardColor);
		g.fillRect(0, 0, (int)b.xto, (int)b.yto);
		g.setColor(Color.red);
		for (int i = 0; i < b.getBalls(); i++) {
			Ball bb = b.get(i);
			g.setColor(Color.red);
			g.fillOval((int) (bb.x - bb.radius), (int) (bb.y - bb.radius),
					(int) (2 * bb.radius), (int) (2 * bb.radius));
			g.setColor(Color.black);
			g.drawOval((int) (bb.x - bb.radius), (int) (bb.y - bb.radius),
					(int) (2 * bb.radius), (int) (2 * bb.radius));
			g.drawString("" + bb.name, (int) bb.x, (int) bb.y);
		}
		g.finalize();
	}

}
